Bug 1012245 - javapackages-tools: Injected pom.properties are incorrect
javapackages-tools: Injected pom.properties are incorrect
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: javapackages-tools (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-26 01:24 EDT by Mikolaj Izdebski
Modified: 2013-10-08 14:19 EDT (History)
5 users (show)

See Also:
Fixed In Version: 3.3.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 14:19:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2013-09-26 01:24:26 EDT
Description of problem:
Injected pom.properties are not incorrect

Version-Release number of selected component (if applicable):
3.2.4-2

Steps to Reproduce:
%add_maven_depmap foo:bar:1.2.3 foo.jar

Actual results:
file name: META-INF/maven//builddir/build/BUILDROOT/maven-downloader-1.1-5.fc21.x86_64/usr/share/maven-poms/foo/bar/pom.properties
content:
#Generated by Java Packages Tools
#Thu Sep 26 05:18:35 UTC 2013
version=1.2.3
groupId=/builddir/build/BUILDROOT/maven-downloader-1.1-5.fc21.x86_64/usr/share/\
maven-poms/foo
artifactId=bar

Expected results:
file name: META-INF/maven/foo/bar/pom.properties
content:
#Generated by Java Packages Tools
#Thu Sep 26 05:18:35 UTC 2013
version=1.2.3
groupId=foo
artifactId=bar
Comment 1 Stanislav Ochotnicky 2013-10-03 11:58:00 EDT
This was fixed in upstream commit 128efbf225. Leaving open for a testcase
Comment 2 Michael Simacek 2013-10-07 03:44:32 EDT
Testcase added in upstream commit 0ed9e9d
Comment 3 Mikolaj Izdebski 2013-10-08 14:02:56 EDT
Fixed in javapackages-tools-3.3.1-1
Comment 4 Mikolaj Izdebski 2013-10-08 14:19:07 EDT
I believe that this bug is fixed in javapackages-tools-3.3.1-1,
which is available in Fedora Rawhide, so I am closing this bug now.

The build containing the fix can be found at Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=469008

Note You need to log in before you can comment on or make changes to this bug.